Bug 521037 - setroubleshoot: SELinux is preventing xinetd "bind" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing xinetd "bind" access on <Unknow...
Keywords:
Status: CLOSED DUPLICATE of bug 521036
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8b6c732717a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 09:33 UTC by Matěj Cepl
Modified: 2019-05-23 15:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 10:39:27 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-03 09:33:57 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing xinetd "bind" access on <Unknown>.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by xinetd. It is not expected that this access
is required by xinetd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Další informace:

Kontext zdroje                system_u:system_r:inetd_t:s0-s0:c0.c1023
Kontext cíle                 system_u:system_r:inetd_t:s0-s0:c0.c1023
Objekty cíle                 None [ netlink_route_socket ]
Zdroj                         xinetd
Cesta zdroje                  /usr/sbin/xinetd
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          xinetd-2.3.14-23.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.30-1.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-0.190.rc8.fc12.x86_64 #1 SMP
                              Fri Aug 28 18:51:58 EDT 2009 x86_64 x86_64
Počet upozornění           2
Poprvé viděno               Čt 3. září 2009, 10:50:11 CEST
Naposledy viděno             Čt 3. září 2009, 11:05:00 CEST
Místní ID                   f6fec454-6c4c-4728-b7ee-9bb2233ec2ee
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1251968700.252:22): avc:  denied  { bind } for  pid=1524 comm="xinetd" scontext=system_u:system_r:inetd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:inetd_t:s0-s0:c0.c1023 tclass=netlink_route_socket

node=(removed) type=SYSCALL msg=audit(1251968700.252:22): arch=c000003e syscall=49 success=yes exit=0 a0=8 a1=7fff01cda0d0 a2=c a3=7fff01cda0a0 items=0 ppid=1 pid=1524 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="xinetd" exe="/usr/sbin/xinetd" subj=system_u:system_r:inetd_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= inetd_t ==============
allow inetd_t self:netlink_route_socket bind;

Comment 1 Daniel Walsh 2009-09-08 10:39:27 UTC

*** This bug has been marked as a duplicate of bug 521036 ***


Note You need to log in before you can comment on or make changes to this bug.